Type.registerNamespace("Telerik.Web.UI");
Telerik.Web.UI.RadWindowControllerClass=function(){
this._activeWindow=null;
this._historyStack=[];
this._registerGlobalBodyEventHandlers();
};
Telerik.Web.UI.RadWindowControllerClass.prototype={getInstance:function(){
return this;
},_registerGlobalBodyEventHandlers:function(){
var _1=Function.createDelegate(null,function(e){
if(e.keyCode==27){
Telerik.Web.UI.RadWindowController.hideCurrentWindowIfNonModal();
}
});
$addHandler(document.documentElement,"keydown",_1);
Sys.Application.add_unload(function(){
$removeHandler(document.documentElement,"keydown",_1);
});
},hideCurrentWindowIfNonModal:function(){
if(this._activeWindow!=null&&this._activeWindow.isModal&&!this._activeWindow.isModal()){
this._activeWindow.close();
}
this._activeWindow=null;
},inactivateCurrentWindow:function(){
if(this._activeWindow!=null){
this._activeWindow.setActive(false);
}
this._activeWindow=null;
},set_activeWindow:function(_3){
if(_3==this._activeWindow){
return;
}
this.inactivateCurrentWindow();
this._activeWindow=_3;
Array.remove(this._historyStack,_3);
Array.add(this._historyStack,_3);
},notifyWindowClosed:function(_4){
if(this._activeWindow==_4){
this._activeWindow=null;
}
Array.remove(this._historyStack,_4);
this._activatePreviousWindow();
},_activatePreviousWindow:function(){
var _5=this._historyStack;
var i=_5.length-1;
for(;i>=0;i--){
var _7=_5[i];
if(!_7){
return;
}
if(_7.isCreated()&&!_7.isClosed()&&!_7.isMinimized()){
_7.setActive(true);
break;
}else{
Array.removeAt(_5,i);
}
}
},get_activeWindow:function(){
return this._activeWindow;
}};
Telerik.Web.UI.RadWindowControllerClass.registerClass("Telerik.Web.UI.RadWindowControllerClass",null);
if(!Telerik.Web.UI.RadWindowController){
Telerik.Web.UI.RadWindowController=new Telerik.Web.UI.RadWindowControllerClass();
}
Type.registerNamespace("Telerik.Web.UI");
Type.registerNamespace("Telerik.Web.UI.RadWindowUtils");
Telerik.Web.UI.RadWindowUtils.Localization={"Close":"Close","Minimize":"Minimize","Maximize":"Maximize","Reload":"Reload","PinOn":"Pin on","PinOff":"Pin off","Restore":"Restore","OK":"OK","Cancel":"Cancel","Yes":"Yes","No":"No"};
Telerik.Web.UI.RadWindow=function(_8){
Telerik.Web.UI.RadWindow.initializeBase(this,[_8]);
this._eventNames=["resize","activate","dragStart","dragEnd","show","pageLoad","close","command"];
this._openerElement=null;
this._offsetElement=null;
this._popupElement=null;
this._tableElement=null;
this._contentElement=null;
this._contentCell=null;
this._titleElement=null;
this._titleCell=null;
this._titlebarElement=null;
this._statusCell=null;
this._statusMessageElement=null;
this._iframe=null;
this._buttonsElement=null;
this._buttonsArray=[];
this.isIE=($telerik.isIE);
this._openerElementID=null;
this._offsetElementID=null;
this._behaviors=Telerik.Web.UI.WindowBehaviors.Default;
this._initialBehaviors=Telerik.Web.UI.WindowBehaviors.None;
this._navigateUrl=null;
this._left="";
this._top="";
this._formID=null;
this._skin="Default";
this._title="";
this._width="300px";
this._height="300px";
this._minimizeZoneID=null;
this._restrictionZoneID="";
this._clientCallBackFunction=null;
this._reloadOnShow=false;
this._visibleOnPageLoad=false;
this._destroyOnClose=false;
this._visibleTitlebar=true;
this._visibleStatusbar=true;
this._showContentDuringLoad=true;
this._modal=false;
this._overlay=false;
this._keepInScreenBounds=false;
this._iconUrl=null;
this._minimizeIconUrl=null;
this._animation=Telerik.Web.UI.WindowAnimation.None;
this._windowAnimation=null;
this._onMouseDownDelegate=null;
this._onClickDelegate=null;
this._onTitlebarDblclickDelegate=null;
this._onTitlebarClickDelegate=null;
this._onWindowResizeDelegate=null;
this._onIframeLoadDelegate=null;
this._onChildPageUnloadDelegate=null;
this._onChildPageClickDelegate=null;
this._onModalShowHandler=null;
this._onModalCloseHandler=null;
this._loaded=false;
this._isCloned=false;
this._restoreRect=null;
this._popupBehavior=null;
this._popupVisible=false;
this._windowManager;
this.GetWindowManager=this.get_windowManager;
this.BrowserWindow=window;
this.GetContentFrame=this.get_contentFrame;
this.GetLeftPosition=function(){
this.getWindowBounds().x;
};
this.GetTopPosition=function(){
this.getWindowBounds().y;
};
this.GetTitlebar=function(){
return this._titleCell;
};
this.GetStatusbar=function(){
return this._statusCell;
};
this.SetOpenerElementId=this.set_openerElementID;
this.SetStatus=this.set_status;
this.GetStatus=this.get_status;
this.SetModal=this.set_modal;
this.SetWidth=this.set_width;
this.SetHeight=this.set_height;
this.GetWidth=this.get_width;
this.GetHeight=this.get_height;
this.SetOffsetElementId=this.set_offsetElementID;
this.SetTitle=this.set_title;
this.MoveTo=this.moveTo;
this.Center=this.center;
this.SetVisible=this.setVisible;
this.SetSize=this.setSize;
this.Show=this.show;
this.Hide=this.hide;
this.GetUrl=this.get_navigateUrl;
this.SetUrl=this.setUrl;
this.Reload=this.reload;
this.SetActive=this.setActive;
this.Minimize=this.minimize;
this.Restore=this.restore;
this.Maximize=this.maximize;
this.Close=this.close;
this.TogglePin=this.togglePin;
this.IsMaximized=this.isMaximized;
this.IsMinimized=this.isMinimized;
this.IsModal=this.isModal;
this.IsClosed=this.isClosed;
this.IsPinned=this.isPinned;
this.IsVisible=this.isVisible;
this.IsActive=this.isActive;
this.IsBehaviorEnabled=this.isBehaviorEnabled;
};
Telerik.Web.UI.RadWindow.prototype={_getLocalization:function(){
return Telerik.Web.UI.RadWindowUtils.Localization;
},_registerIframeLoadHandler:function(_9){
if(!this._iframe){
return;
}
if(_9){
this._onIframeLoadDelegate=Function.createDelegate(this,this._onIframeLoad);
$addHandler(this._iframe,"load",this._onIframeLoadDelegate);
}else{
if(this._onIframeLoadDelegate){
$removeHandler(this._iframe,"load",this._onIframeLoadDelegate);
this._onIframeLoadDelegate=null;
$clearHandlers(this._iframe);
}
}
},_registerWindowResizeHandler:function(_a){
if(_a){
this._onWindowResizeDelegate=Function.createDelegate(this,this._maintainMaximizedSize);
$addHandler(window,"resize",this._onWindowResizeDelegate);
}else{
if(this._onWindowResizeDelegate){
$removeHandler(window,"resize",this._onWindowResizeDelegate);
this._onWindowResizeDelegate=null;
}
}
},_registerOpenerElementHandler:function(_b,_c){
if(!_b){
return;
}
if(true==_c){
this._onClickDelegate=Function.createDelegate(this,this._onClick);
$addHandler(_b,"click",this._onClickDelegate);
}else{
var _d=$removeHandler(_b,"click",this._onClickDelegate);
this._onClickDelegate=null;
}
},_registerTitlebarHandlers:function(_e){
var _f=this._titleCell;
if(_e){
this._onTitlebarDblclickDelegate=Function.createDelegate(this,function(){
if(this.isMinimized()||this.isMaximized()){
this.restore();
}else{
this.maximize();
}
});
this._onTitlebarClickDelegate=Function.createDelegate(this,function(){
this.setActive(true);
});
$addHandler(_f,"dblclick",this._onTitlebarDblclickDelegate);
$addHandler(_f,"click",this._onTitlebarClickDelegate);
}else{
if(_f){
if(this._onTitlebarDblclickDelegate){
$removeHandler(_f,"dblclick",this._onTitlebarDblclickDelegate);
this._onTitlebarDblclickDelegate=null;
}
if(this._onTitlebarClickDelegate){
$removeHandler(_f,"click",this._onTitlebarClickDelegate);
this._onTitlebarClickDelegate=null;
}
$clearHandlers(_f);
}
}
},_makeModal:function(_10){
if(this._onModalShowHandler){
this.remove_show(this._onModalShowHandler);
this._onModalShowHandler=null;
}
if(this._onModalCloseHandler){
this.remove_close(this._onModalCloseHandler);
this._onModalCloseHandler=null;
}
if(this._modalExtender){
this._modalExtender.dispose();
this._modalExtender=null;
}
if(!_10){
return;
}
if(typeof (Telerik.Web.UI.RadWindowManager)!="undefined"&&Telerik.Web.UI.RadWindowManager.isInstanceOfType(this)){
return;
}
this._onModalShowHandler=function(_11){
if(!_11._modalExtender){
_11._modalExtender=new Telerik.Web.UI.ModalExtender(_11._popupElement);
}
_11._modalExtender.show();
_11.center();
};
this.add_show(this._onModalShowHandler);
this._onModalCloseHandler=function(_12){
window.setTimeout(function(){
if(_12._modalExtender){
_12._modalExtender.hide();
}
},10);
};
this.add_close(this._onModalCloseHandler);
},_enableMoveResize:function(_13){
if(this._resizeExtender){
this._resizeExtender.dispose();
this._resizeExtender=null;
}
if(!_13){
return;
}
if(!this._popupElement){
return;
}
var _14=this._tableElement.rows;
var _15={};
if(this.isBehaviorEnabled(Telerik.Web.UI.WindowBehaviors.Resize)){
_15={nw:_14[0].cells[0],n:this._topResizer,ne:_14[0].cells[2],w:[_14[1].cells[0],_14[2].cells[0]],e:[_14[1].cells[2],_14[2].cells[2]],sw:_14[3].cells[0],s:_14[3].cells[1],se:[_14[3].cells[2],this._bottomResizer]};
}
if(this.isBehaviorEnabled(Telerik.Web.UI.WindowBehaviors.Move)){
_15["move"]=this._titleCell;
}
this._resizeExtender=new Telerik.Web.UI.ResizeExtender(this,this._popupElement,_15,this._tableElement);
},onResizeStart:function(){
if(this.isMaximized()){
return false;
}
this._cachedDragZoneBounds=this._getRestrictionZoneBounds();
},onResizing:function(_16){
if(!this._cachedDragZoneBounds){
return true;
}
return Telerik.Web.UI.ResizeExtender.containsBounds(this._cachedDragZoneBounds,_16);
},onResizeEnd:function(){
this._cachedDragWindowBounds=null;
var _17=this._getCurrentBounds();
this.moveTo(_17.x,_17.y);
if(this._overlay&&$telerik.isFirefox){
this._popupBehavior._onMove();
}
this.raiseEvent("resize",new Sys.EventArgs());
},onDragStart:function(){
this.setActive(true);
if(this.isPinned()||this.isMaximized()){
return false;
}
if(this.isMinimized()&&this.get_minimizeZoneID()){
return false;
}
this._cachedDragZoneBounds=this._getRestrictionZoneBounds();
this._cachedDragWindowBounds=$telerik.getBounds(this._popupElement);
this.raiseEvent("dragStart",new Sys.EventArgs());
return true;
},onDragEnd:function(_18){
this._cachedDragZoneBounds=null;
this._cachedDragWindowBounds=null;
if(this._overlay&&$telerik.isFirefox){
this._popupBehavior._onMove();
}
this.raiseEvent("dragEnd",new Sys.EventArgs());
this._storeBounds();
this.setActive(true);
},onDrag:function(_19){
if(!this._cachedDragZoneBounds){
return true;
}
var _1a=this._cachedDragWindowBounds;
var _1b=this._cachedDragZoneBounds;
_19.width=_1a.width;
_19.height=_1a.height;
var _1c=Telerik.Web.UI.ResizeExtender.containsBounds(_1b,_19);
if(!_1c){
if(_19.x<=_1b.x){
_19.x=_1b.x;
}else{
if(_1b.x+_1b.width<=_19.x+_1a.width){
_19.x=_1b.x+_1b.width-_1a.width;
}
}
if(_19.y<=_1b.y){
_19.y=_1b.y;
}else{
if(_1b.y+_1b.height<=_19.y+_1a.height){
_19.y=_1b.y+_1b.height-_1a.height;
}
}
_1c=true;
}
return _1c;
},initialize:function(){
Telerik.Web.UI.RadWindow.callBaseMethod(this,"initialize");
if(this._visibleOnPageLoad){
this.show();
}
this._registerWindowResizeHandler(true);
},dispose:function(){
var _1d=this.get_windowManager();
if(_1d){
if(_1d.get_preserveClientState()){
_1d.saveWindowState(this);
}
if(this._destroyOnClose){
_1d.removeWindow(this);
}
}
if(this._windowAnimation){
this._windowAnimation.dispose();
}
this._enableMoveResize(false);
this._makeModal(false);
this._registerTitlebarHandlers(false);
this._registerWindowResizeHandler(false);
this._registerIframeLoadHandler(false);
if(this._openerElement){
this._registerOpenerElementHandler(this._openerElement,false);
}
this.set_behaviors(Telerik.Web.UI.WindowBehaviors.None);
var _1e=this._iframe;
if(_1e){
_1e.radWindow=null;
_1e.src="javascript:'<html></html>';";
_1e.name="";
_1e.removeAttribute("name");
_1e.removeAttribute("NAME");
}
if(this._contentElement){
this._contentElement.innerHTML="";
}
var _1f=this._popupElement;
if(_1f){
_1f.parentNode.removeChild(_1f);
}
Telerik.Web.UI.RadWindow.callBaseMethod(this,"dispose");
},hide:function(){
this._hide();
return true;
},clone:function(_20,_21){
if(!_20){
alert("Telerik.Web.UI.RadWindow.clone called without providing a name argument");
return;
}
var evs=(_21!=false)?this._getEventsParameter():null;
var _23=this._getPropertiesParameter();
var _24=document.createElement("SPAN");
_24.setAttribute("id",_20);
var wnd=$create(Telerik.Web.UI.RadWindow,_23,evs,null,_24);
wnd.set_name(_20);
wnd._isCloned=true;
return wnd;
},set_contentElement:function(_26){
this._createUI();
if(this._iframe){
this._iframe.style.display="none";
}
if(_26.parentNode&&_26.parentNode.removeChild){
_26.parentNode.removeChild(_26);
}
this._contentCell.appendChild(_26);
_26.style.display="";
this._contentElement=_26;
},get_contentElement:function(){
return this._contentElement;
},isCreated:function(){
return this._popupElement!=null;
},show:function(){
var _27=this.isCreated();
this._createUI();
if(this._navigateUrl&&(!_27||this._reloadOnShow)){
this.setUrl(this._navigateUrl);
}
if(!_27&&(this._initialBehaviors!=Telerik.Web.UI.WindowBehaviors.None)){
this._show();
this._afterShow();
if(this.isInitialBehaviorEnabled(Telerik.Web.UI.WindowBehaviors.Minimize)){
this.minimize();
}
if(this.isInitialBehaviorEnabled(Telerik.Web.UI.WindowBehaviors.Maximize)){
this.maximize();
}
if(this.isInitialBehaviorEnabled(Telerik.Web.UI.WindowBehaviors.Pin)){
this.togglePin();
}
return;
}
if(this._animation==Telerik.Web.UI.WindowAnimation.None){
this._show();
this._afterShow();
}else{
this._playAnimation();
}
},_show:function(){
this.raiseEvent("beforeShow",new Sys.EventArgs());
if(this.get_offsetElementID()&&!this._offsetElement){
var _28=$get(this.get_offsetElementID());
if(_28){
this._offsetElement=_28;
}
}
var _29=this._popupBehavior.get_parentElement();
if(this._offsetElement&&!this._offsetSet){
this._popupBehavior.set_parentElement(this._offsetElement);
this._offsetSet=true;
}
this.set_visibleTitlebar(this._visibleTitlebar);
this.set_visibleStatusbar(this._visibleStatusbar);
this._reSetWindowPosition();
if(_29!=this._popupBehavior.get_parentElement()){
this._popupBehavior.set_parentElement(_29);
}
this._popupVisible=true;
},_hide:function(){
if(this._windowAnimation){
this._windowAnimation.stop();
}
if(this._windowAnimation){
this._windowAnimation.play(true);
}else{
this._afterHide();
}
},_afterHide:function(){
if(!this._popupBehavior){
return;
}
if(this.isMaximized()){
this._restoreBounds();
}
this._popupBehavior.hide(true);
this._popupVisible=false;
this._getWindowController().notifyWindowClosed(this);
this.raiseEvent("close",new Sys.EventArgs());
},_afterShow:function(){
this.setActive(true);
this._storeBounds();
this.raiseEvent("show",new Sys.EventArgs());
},_playAnimation:function(){
var _2a=function(){
var wnd=this.controller;
var _2c=wnd._getCalculatedPopupBounds();
wnd._setPopupVisible(_2c.x,_2c.y);
var _2d=$telerik.getBounds(wnd._popupElement);
wnd._popupBehavior.hide();
this.set_endBounds(_2d);
};
if(!this._windowAnimation){
if(this._animation==Telerik.Web.UI.WindowAnimation.Fade){
this._windowAnimation=new Telerik.Web.UI.Animations.FadeAnimation(this,0.4,null,this._popupElement,null,this._openerElement);
this._windowAnimation.onShowStart=function(){
this.controller._show();
};
}else{
if(this._animation==Telerik.Web.UI.WindowAnimation.Slide){
this._windowAnimation=new Telerik.Web.UI.Animations.SlideAnimation(this,0.2,null,this._popupElement,null,this._openerElement);
this._windowAnimation.onShowStart=_2a;
}else{
if(this._animation==Telerik.Web.UI.WindowAnimation.FlyIn){
this._windowAnimation=new Telerik.Web.UI.Animations.FlyInAnimation(this,null,null,this._popupElement,null,this._openerElement);
this._windowAnimation.onShowStart=_2a;
}else{
if(this._animation==Telerik.Web.UI.WindowAnimation.Resize){
this._windowAnimation=new Telerik.Web.UI.Animations.ResizeAnimation(this,0.2,50,this._popupElement,null,this._openerElement);
this._windowAnimation.onShowStart=_2a;
}
}
}
}
}
if(this._windowAnimation){
this._windowAnimation.onShowEnd=function(){
this.controller._show();
this.controller._afterShow();
};
this._windowAnimation.onHideEnd=function(){
this.controller._afterHide();
};
this._windowAnimation.play();
}
},_onClick:function(e){
this.show();
return this._cancelEvent(e);
},_cancelEvent:function(e){
if(e){
e.returnValue=false;
e.cancelBubble=true;
e.preventDefault();
e.stopPropagation();
}
return false;
},_getWindowController:function(){
return Telerik.Web.UI.RadWindowController.getInstance();
},_getReloadOnShowUrl:function(_30){
var str="rwndrnd="+Math.random();
if(_30.indexOf("?")>-1){
str="&"+str;
}else{
str="?"+str;
}
_30+=str;
return _30;
},_getPropertiesParameter:function(){
if(!this._propertiesParameter){
var _32={};
for(var _33 in Telerik.Web.UI.RadWindow.prototype){
var _34=this[_33];
if(typeof (_34)=="function"&&_33.indexOf("get_")==0){
var _35=_33.substring(4);
if(null==this["set_"+_35]){
continue;
}
var _36=_34.call(this);
if(null==_36){
continue;
}
_32[_35]=_36;
if(_35=="skin"){
break;
}
}
}
this._propertiesParameter=_32;
}
var _37=this._cloneObject(this._propertiesParameter);
return _37;
},_getEventsParameter:function(){
if(!this._eventsParameter){
var _38={};
var _39=this.get_events();
var _3a=this._eventNames;
for(var i=0;i<_3a.length;i++){
var _3c=_3a[i];
var _3d=_39.getHandler(_3c);
if(_3d&&typeof (eval(_3d))=="function"){
_38[_3c]=eval(_3d);
}
}
this._eventsParameter=_38;
}
return this._eventsParameter;
},_cloneObject:function(_3e){
var _3f={};
for(var _40 in _3e){
_3f[_40]=_3e[_40];
}
return _3f;
},getWindowBounds:function(){
return this._getCalculatedPopupBounds();
},toString:function(){
return "[RadWindow id="+this.get_id()+"]";
},center:function(){
var _41=this._getCentralBounds();
this.moveTo(_41.x,_41.y);
},moveTo:function(x,y){
x=parseInt(x);
y=parseInt(y);
this._createUI();
this._setPopupVisible(x,y);
this._storeBounds();
},setSize:function(_44,_45){
this._firstShow=false;
this.set_width(_44);
this.set_height(_45);
this._storeBounds();
},_maintainMaximizedSize:function(){
if(!this.isMaximized()){
return;
}
var _46=this._popupElement;
if(!_46){
return;
}
var _47=this._getViewportBounds();
_46.style.top=(_47.scrollTop+_47.y)+"px";
_46.style.left=(_47.scrollLeft+_47.x)+"px";
_46.style.width=_47.width+"px";
_46.style.height=_47.height+"px";
var _48=this._getRestrictionZoneBounds();
if(!_48){
this._enablePageScrolling(false);
}
var _49=this._tableElement;
_47=this._getViewportBounds();
_49.style.height=_47.height+"px";
this._fixIeHeight(_49,_47.height);
},_enablePageScrolling:function(_4a){
var _4b=document.body;
var doc=document.documentElement;
if(_4a){
if(null!=this._documentOverflow){
doc.style.overflow=this._documentOverflow;
}
if(null!=this._bodyOverflow){
_4b.style.overflow=this._bodyOverflow;
}
this._documentOverflow=null;
this._bodyOverflow=null;
}else{
if(null==this._documentOverflow){
this._documentOverflow=doc.style.overflow;
}
if(null==this._bodyOverflow){
this._bodyOverflow=_4b.style.overflow;
}
_4b.style.overflow="hidden";
doc.style.overflow="hidden";
}
},_getRestrictionZoneBounds:function(){
var _4d=null;
if(this.get_restrictionZoneID()){
var _4e=$get(this.get_restrictionZoneID());
if(_4e){
_4d=$telerik.getBounds(_4e);
_4d.scrollLeft=0;
_4d.scrollTop=0;
}
}
return _4d;
},_storeBounds:function(){
if(!this.isCreated()){
return;
}
var _4f=this._getCurrentBounds();
if(this.isMaximized()){
return false;
}
if(this.isMinimized()){
if(this._restoreRect){
_4f.width=this._restoreRect.width;
_4f.height=this._restoreRect.height;
}else{
_4f.width=this.get_width();
_4f.height=this.get_height();
}
}
this._restoreRect=_4f;
},_restoreBounds:function(){
if(!this._restoreRect){
return;
}
var _50=this._restoreRect;
this.setSize(_50.width,_50.height);
this.moveTo(_50.x,_50.y);
},_getStoredBounds:function(){
if(this._restoreRect){
return this._restoreRect;
}
},_deleteStoredBounds:function(){
this._restoreRect=null;
},_getCurrentBounds:function(){
var _51=(this._popupElement.style.display=="none")?true:false;
this._popupElement.style.display="";
if(this._firstShow!=true){
this._updateWindowSize(this._height);
this._firstShow=true;
}
var _52=$telerik.getBounds(this._popupElement);
if(_51){
this._popupElement.style.display="none";
}
var _53=this._getRestrictionZoneBounds();
if(_53){
_52.x-=_53.x;
_52.y-=_53.y;
}
return _52;
},_getCentralBounds:function(){
var _54=this._getCurrentBounds();
var _55=this._getViewportBounds();
var x=parseInt((_55.width-_54.width)/2);
var y=parseInt((_55.height-_54.height)/2);
_54.x=x+_55.scrollLeft;
_54.y=y+_55.scrollTop;
return _54;
},_getViewportBounds:function(){
var _58=this._getRestrictionZoneBounds();
if(_58){
return _58;
}
var _59=$telerik.getClientBounds();
var _5a=document.documentElement.scrollLeft||document.body.scrollLeft;
var _5b=document.documentElement.scrollTop||document.body.scrollTop;
_59.scrollLeft=_5a;
_59.scrollTop=_5b;
if(this.isIE){
if(_59.width==0){
_59.width=document.body.clientWidth;
}
if(_59.height==0){
_59.height=document.body.clientHeight;
}
}
return _59;
},_getCalculatedPopupBounds:function(){
var _5c=this._getStoredBounds();
if(_5c){
return _5c;
}
var _5d=this._getCurrentBounds();
var _5e=this._offsetElement;
if(!this._top&&!this._left&&!_5e){
_5d=this._getCentralBounds();
}else{
if(_5e){
_5d.y=0;
_5d.x=0;
}else{
var _5f=this._getViewportBounds();
_5d.x=_5f.scrollLeft;
_5d.y=_5f.scrollTop;
}
var _60=this._left?this._left:0;
_5d.x+=_60;
var top=this._top?this._top:0;
_5d.y+=top;
}
return _5d;
},_reSetWindowPosition:function(){
var _62=this._getCalculatedPopupBounds();
this._setPopupVisible(_62.x,_62.y);
},_fixIeHeight:function(_63,_64){
if("CSS1Compat"==document.compatMode){
var _65=(_63.offsetHeight-parseInt(_64));
if(_65>0){
var _66=(parseInt(_63.style.height)-_65);
if(_66>0){
_63.style.height=_66+"px";
}
}
}
},_setPopupVisible:function(x,y){
var _69=this._getRestrictionZoneBounds();
if(_69){
x+=_69.x;
y+=_69.y;
}
this._popupBehavior._setCoordinates(x,y);
this._popupBehavior.show();
if(!this.get_width()){
this._popupElement.style.width="";
}
this._updateTitleWidth();
},_createDefaultTable:function(){
var _6a=document.createElement("TABLE");
_6a.align="left";
_6a.cellSpacing=0;
_6a.cellPadding=0;
_6a.insertRow(-1);
return _6a;
},_createUI:function(){
if(!this._popupElement){
var _6b=this.get_id();
var _6c="RadWindowWrapper_"+_6b;
var _6d=document.createElement("DIV");
_6d.id=_6c;
_6d.className=this._getFullSkinName();
_6d.style.width=this._width;
_6d.style.height=this._height;
_6d.setAttribute("unselectable","on");
this._popupElement=_6d;
var _6e=document.createElement("TABLE");
_6e.cellSpacing=0;
_6e.cellPadding=0;
this._tableElement=_6e;
var _6f=["corner topleft","titlebar","corner topright","corner bodyleft","windowcontent","corner bodyright","corner bodyleft","statusbar","corner bodyright","corner footerleft","footercenter","corner footerright"];
var _70=["titlerow","contentrow","statusbarrow","footerrow"];
var _71=0;
for(var i=0;i<4;i++){
var row=_6e.insertRow(-1);
row.className=_70[i];
for(var j=1;j<=3;j++){
var _75=row.insertCell(-1);
_75.innerHTML="&nbsp;";
_75.className=_6f[_71];
_71++;
}
}
var _76=_6e.rows[0].cells[1];
_76.innerHTML="";
this._titleCell=_76;
var _77=document.createElement("DIV");
_77.className="topresize";
_77.innerHTML="<!-- / -->";
this._topResizer=_77;
this._titleCell.appendChild(this._topResizer);
var _78=this._createDefaultTable();
_78.className="titlebarcontrols";
this._titlebarElement=_78;
this._titleCell.appendChild(this._titlebarElement);
var _79=this._getTitleIcon();
var _7a=this._titlebarElement.rows[0].insertCell(-1);
_7a.appendChild(_79);
var _7b=this._getTitleElement();
var _76=this._titlebarElement.rows[0].insertCell(-1);
_76.appendChild(_7b);
this.set_title(this._title);
var _7c=this._titlebarElement.rows[0].insertCell(-1);
_7c.noWrap=true;
_7c.style.whiteSpace="nowrap";
_7c.appendChild(this._getTitleCommandButtonsHolder());
var _7d=_6e.rows[1].cells[1];
_7d.vAlign="top";
_7d.innerHTML="";
this._contentCell=_7d;
var _7e=this.get_name();
var _7f=($telerik.isIE)?document.createElement("<iframe name='"+_7e+"'>"):document.createElement("iframe");
_7f.name=_7e;
_7f.src="javascript:'<html></html>';";
_7f.style.width="100%";
_7f.style.height="100%";
_7f.style.border="0px";
_7f.frameBorder="0";
this._iframe=_7f;
this._contentCell.appendChild(this._iframe);
var _80=this._createDefaultTable();
_80.style.width="100%";
this._statusCell=_6e.rows[2].cells[1];
this._statusCell.innerHTML="";
this._statusCell.appendChild(_80);
var _81=_80.rows[0].insertCell(-1);
_81.style.width="100%";
var _82=this._getStatusMessageElement();
_81.appendChild(_82);
var _83=_80.rows[0].insertCell(-1);
_83.style.width="15px";
var _84=document.createElement("DIV");
_83.appendChild(_84);
this._bottomResizer=_84;
this._createBackReference();
this._popupElement.appendChild(this._tableElement);
this._popupElement.style.display="none";
this._popupElement.style.position="absolute";
this._addWindowToDocument();
this.set_behaviors(this._behaviors);
this._registerTitlebarHandlers(true);
this.set_visibleTitlebar(this._visibleTitlebar);
this.set_visibleStatusbar(this._visibleStatusbar);
}
if(!this._popupBehavior){
this._popupBehavior=$create(Telerik.Web.PopupBehavior,{"id":(new Date()-100)+"PopupBehavior","parentElement":null,"overlay":this._overlay,"keepInScreenBounds":this._keepInScreenBounds},null,null,this._popupElement);
}
},_getStatusMessageElement:function(){
if(null==this._statusMessageElement){
var el=document.createElement("INPUT");
el.readOnly="readonly";
el.setAttribute("unselectable","on");
this._statusMessageElement=el;
}
return this._statusMessageElement;
},_getTitleCommandButtonsHolder:function(){
if(null==this._buttonsElement){
var ul=document.createElement("UL");
ul.className="controlbuttons";
this._buttonsElement=ul;
}
return this._buttonsElement;
},_getTitleElement:function(){
if(!this._titleElement){
this._titleElement=document.createElement("EM");
this._titleElement.setAttribute("unselectable","on");
}
return this._titleElement;
},_getTitleIcon:function(){
if(null==this._titleIconElement){
var _87=document.createElement("A");
this._titleIconElement=_87;
_87.className="windowicon";
if(this.get_iconUrl()){
_87.style.background="transparent url("+this.get_iconUrl()+") no-repeat scroll 0px 0px";
}
}
return this._titleIconElement;
},_getTitleCommandButton:function(_88){
if(!_88||!this._buttonsArray){
return null;
}
_88=_88.toLowerCase()+"button";
var _89=this._buttonsArray.length;
for(var i=0;i<_89;i++){
var _8b=this._buttonsArray[i];
if(_8b&&Sys.UI.DomElement.containsCssClass(_8b,_88)){
return _8b;
}
}
return null;
},_updateTitleWidth:function(){
if(this._visibleTitlebar){
var _8c=this._getTitleElement();
if(!_8c){
return;
}
var _8d=this._getTitleCommandButtonsHolder();
var _8e=_8d.offsetWidth;
if(_8e>0){
var lis=_8d.getElementsByTagName("LI");
if(lis[0]&&lis[0].offsetWidth>0){
_8e=lis.length*lis[0].offsetWidth;
}
_8d.style.width=_8e+"px";
}
var _90=this._getTitleIcon();
var _91=_90.offsetWidth;
if(_91>0&&_90.parentNode.tagName=="TD"){
_90.parentNode.style.width=_91+"px";
}
}
},_addWindowToDocument:function(){
var _92=document.getElementById(this._formID);
if(!_92){
_92=document.forms[0];
}
_92.insertBefore(this._popupElement,_92.firstChild);
},_invokeDialogCallBackFunction:function(_93,_94){
if(true!=_94){
this.close();
}
var _95=this.get_clientCallBackFunction();
if(_95){
if("string"==typeof (_95)){
_95=eval(_95);
}
if("function"==typeof (_95)){
_95(this,_93);
}
}
},_createBackReference:function(){
var _96=this;
if(!_96.Argument){
_96.Argument={};
}
var _97=this._iframe;
try{
_97.radWindow=_96;
if(_97.contentWindow!=null){
_97.contentWindow.radWindow=_96;
}
}
catch(e){
}
},_getFullSkinName:function(){
return "radwindow radwindow_"+this._skin+" normalwindow transparentwindow";
},_configureMinimizeButton:function(_98){
var loc=this._getLocalization();
var _9a=(true==_98)?loc["Restore"]:loc["Minimize"];
var _9b=(true==_98)?this.restore:this.minimize;
this._registerTitlebarHandlersButton("Minimize",_9a,_9b);
},_configureMaximizeButton:function(_9c){
var loc=this._getLocalization();
var _9e=(true==_9c)?loc["Restore"]:loc["Maximize"];
var _9f=(true==_9c)?this.restore:this.maximize;
this._registerTitlebarHandlersButton("Maximize",_9e,_9f);
},_registerTitlebarHandlersButton:function(_a0,_a1,_a2){
var _a3=this._getTitleCommandButton(_a0);
if(_a3){
var loc=this._getLocalization();
_a3.setAttribute("title",_a1);
_a3.innerHTML=_a1;
$clearHandlers(_a3);
$addHandlers(_a3,{"click":_a2},this);
$addHandler(_a3,"dblclick",this._cancelEvent);
$addHandler(_a3,"mousedown",this._cancelEvent);
}
},isCloned:function(){
return this._isCloned;
},isBehaviorEnabled:function(_a5){
return _a5&this._behaviors?true:false;
},isInitialBehaviorEnabled:function(_a6){
return _a6&this._initialBehaviors?true:false;
},setVisible:function(_a7){
if(this._popupBehavior){
if(_a7){
this._popupBehavior.show();
}else{
this._popupBehavior.hide();
}
}
},isVisible:function(){
return this._popupVisible;
},isModal:function(){
return this._modal;
},isActive:function(){
return (this._popupElement&&!Sys.UI.DomElement.containsCssClass(this._popupElement,"inactivewindow"));
},isPinned:function(){
var _a8=this._getTitleCommandButton("Pin");
return (_a8&&Sys.UI.DomElement.containsCssClass(_a8,"on"));
},isClosed:function(){
return (!this.isVisible());
},isMinimized:function(){
return (this._popupElement&&Sys.UI.DomElement.containsCssClass(this._popupElement,"minimizedwindow"));
},isMaximized:function(){
return (this._popupElement&&Sys.UI.DomElement.containsCssClass(this._popupElement,"maximizedwindow"));
},_moveToMinimizeZone:function(){
var _a9=$get(this.get_minimizeZoneID());
if(_a9){
if(this.isPinned()){
this._isPinned=true;
this.togglePin();
}
var _aa=this._popupElement;
if(_aa.parentNode!=_a9){
_aa.parentNode.removeChild(_aa);
_a9.appendChild(_aa);
this.setVisible(true);
_aa.style.position="static";
if(this.isIE){
_aa.style.display="inline";
}else{
_aa.style.cssFloat="left";
}
}
}
},_moveToDocument:function(){
var _ab=this._popupElement;
_ab.parentNode.removeChild(_ab);
_ab.style.position="absolute";
if(this.isIE){
_ab.style.display="";
}else{
_ab.style.cssFloat="";
}
this._addWindowToDocument();
if(this._isPinned){
this._isPinned=false;
this.togglePin();
}
},minimize:function(){
if(!this.isCreated()){
return;
}
var _ac=this.onCommand("Minimize");
if(!_ac){
return;
}
if(this.isMaximized()){
this._restoreBounds();
}
var _ad=this._popupElement;
$telerik.removeCssClasses(_ad,["normalwindow","maximizedwindow"]);
Sys.UI.DomElement.addCssClass(_ad,"minimizedwindow");
var _ae=_ad._hideWindowedElementsIFrame;
if(_ae){
Sys.UI.DomElement.addCssClass(_ae,"minimizedwindowoverlay_"+this._skin);
}
this._configureMinimizeButton(true);
this._enablePageScrolling(true);
if(this.get_minimizeZoneID()){
this._moveToMinimizeZone();
}
},restore:function(){
if(!this.isCreated()){
return;
}
var _af=this.onCommand("Restore");
if(!_af){
return;
}
this._configureMinimizeButton();
this._configureMaximizeButton();
if(this.isMinimized()&&this.get_minimizeZoneID()){
this._moveToDocument();
}
this._normalizeWindowRootCss();
this._enablePageScrolling(true);
this.setVisible(true);
this._restoreBounds();
if(this._restoreZindex){
this._popupElement.style.zIndex=this._restoreZindex;
this._restoreZindex=null;
}
this.setVisible(true);
this.setActive(true);
},maximize:function(){
if(!this.isCreated()){
return;
}
var _b0=this.onCommand("Maximize");
if(!_b0){
return;
}
if(!this.isBehaviorEnabled(Telerik.Web.UI.WindowBehaviors.Maximize)){
return;
}
this._storeBounds();
if(this.isMinimized()&&this.get_minimizeZoneID()){
this._moveToDocument();
}
var _b1=this._popupElement;
$telerik.removeCssClasses(_b1,["normalwindow","minimizedwindow"]);
Sys.UI.DomElement.addCssClass(_b1,"maximizedwindow");
this._configureMaximizeButton(true);
this._configureMinimizeButton();
this._maintainMaximizedSize();
this._maintainMaximizedSize();
var _b2=_b1._hideWindowedElementsIFrame;
if(_b2){
$telerik.removeCssClasses(_b2,["minimizedwindowoverlay_"+this._skin]);
this._popupBehavior._handleElementResize();
}
if(!this.isActive()){
this.setActive(true);
}
var _b3=_b1.style.zIndex;
if(_b3){
this._restoreZindex=_b3;
}
_b1.style.zIndex=100000;
},setActive:function(_b4){
var _b5=this._popupElement;
if(!_b4){
Sys.UI.DomElement.addCssClass(_b5,"inactivewindow");
}else{
if(!this.isMaximized()){
var _b6=parseInt(_b5.style.zIndex);
var _b7=Telerik.Web.UI.RadWindowUtils.get_newZindex(_b6);
_b5.style.zIndex=""+_b7;
}
this._getWindowController().set_activeWindow(this);
if(this.isActive()){
return;
}
$telerik.removeCssClasses(_b5,["inactivewindow"]);
this.raiseEvent("activate",new Sys.EventArgs());
}
},togglePin:function(){
if(!this.isCreated()){
return;
}
var _b8=this.onCommand("Pin");
if(!_b8){
return;
}
var _b9=this._getTitleCommandButton("Pin");
var loc=this._getLocalization();
var _bb=this.isPinned();
var _bc=_bb?loc["PinOn"]:loc["PinOff"];
if(_b9){
Sys.UI.DomElement.toggleCssClass(_b9,"on");
}
this._registerTitlebarHandlersButton("Pin",_bc,this.togglePin);
Telerik.Web.UI.RadWindowUtils.setPinned(!_bb,this);
},reload:function(){
if(!this.isCreated()){
return;
}
var _bd=this.onCommand("Reload");
if(!_bd){
return;
}
if(!this._iframe){
return;
}
this._onWindowUrlChanging();
try{
this._iframe.contentWindow.location.reload();
}
catch(e){
this._onWindowUrlChanged();
}
},_normalizeWindowRootCss:function(){
var _be=this._popupElement;
if(_be){
$telerik.removeCssClasses(_be,["minimizedwindow","maximizedwindow"]);
Sys.UI.DomElement.addCssClass(_be,"normalwindow");
var _bf=_be._hideWindowedElementsIFrame;
if(_bf){
$telerik.removeCssClasses(_bf,["minimizedwindowoverlay_"+this._skin]);
}
}
},close:function(_c0){
if(this.isClosed()){
return;
}
this.hide();
this._enablePageScrolling(true);
this._normalizeWindowRootCss();
if(null!=_c0&&!(_c0 instanceof Sys.UI.DomEvent)){
this._invokeDialogCallBackFunction(_c0);
}
if(this._destroyOnClose){
this.dispose();
}
},onCommand:function(_c1){
var _c2=new Sys.CancelEventArgs();
_c2._commandName=_c1;
_c2.get_commandName=function(){
return this._commandName;
};
this.raise_command(_c2);
if(_c2.get_cancel()){
return false;
}
return true;
},setUrl:function(url){
this._createUI();
this._navigateUrl=url;
var _c4=url;
if(this._reloadOnShow){
_c4=this._getReloadOnShowUrl(_c4);
}
this._iframe.src=_c4;
this._onWindowUrlChanging();
if(!this._loaded){
this._registerIframeLoadHandler(true);
}
this._loaded=true;
},_registerChildPageHandlers:function(_c5){
var _c6=null;
try{
_c6=this._iframe.contentWindow.document;
if(_c6.domain!=document.domain){
return;
}
}
catch(e){
return;
}
if(null==_c6){
return;
}
if(_c5){
this._onChildPageUnloadDelegate=Function.createDelegate(this,this._onChildPageUnload);
if(this.isIE){
_c6.onunload=this._onChildPageUnloadDelegate;
}else{
this._iframe.contentWindow.onunload=this._onChildPageUnloadDelegate;
}
this._onChildPageClickDelegate=Function.createDelegate(this,this._onChildPageClick);
$telerik.addExternalHandler(_c6,"click",this._onChildPageClickDelegate);
}else{
if(this._onChildPageClickDelegate){
$telerik.removeExternalHandler(_c6,"click",this._onChildPageClickDelegate);
this._onChildPageClickDelegate=null;
}
}
},_onChildPageUnload:function(e){
this._registerChildPageHandlers(false);
},_onChildPageClick:function(e){
if(!this.isVisible()||this.isClosed()){
return;
}
var src=e.target?e.target:e.srcElement;
if(src){
if(src.tagName=="INPUT"&&src.type=="button"){
return;
}else{
if(src.tagName=="BUTTON"||src.tagName=="A"){
return;
}
}
}
this.setActive(true);
},_onIframeLoad:function(){
this._onWindowUrlChanged();
this._registerChildPageHandlers(true);
this.raiseEvent("pageLoad",new Sys.EventArgs());
},_onWindowUrlChanging:function(){
var _ca=this._getStatusMessageElement();
if(_ca){
Sys.UI.DomElement.addCssClass(_ca,"loading");
}
if(!this._showContentDuringLoad){
this._iframe.style.width="0px";
this._iframe.style.height="0px";
}
},_onWindowUrlChanged:function(){
var _cb=this._getStatusMessageElement();
if(_cb){
Sys.UI.DomElement.removeCssClass(_cb,"loading");
this.set_status(this._navigateUrl);
}
if(!this._showContentDuringLoad){
this._iframe.style.width="100%";
this._iframe.style.height="100%";
}
try{
if(this._iframe.contentWindow.document.title){
this.set_title(this._iframe.contentWindow.document.title);
}
}
catch(e){
}
},_updatePopupZindex:function(){
if(this._popupBehavior){
if(this.isVisible()){
this._popupBehavior.show();
}
}
},get_zindex:function(){
if(this._popupElement){
return this._popupElement.style.zIndex;
}else{
return -1;
}
},get_contentFrame:function(){
return this._iframe;
},get_minimizeZoneID:function(){
return this._minimizeZoneID;
},set_minimizeZoneID:function(_cc){
if(this._minimizeZoneID!=_cc){
this._minimizeZoneID=_cc;
}
},get_restrictionZoneID:function(){
return this._restrictionZoneID;
},set_restrictionZoneID:function(_cd){
if(this._restrictionZoneID!=_cd){
this._restrictionZoneID=_cd;
}
},get_minimizeIconUrl:function(){
return this._minimizeIconUrl;
},set_minimizeIconUrl:function(_ce){
if(this._minimizeIconUrl!=_ce){
this._minimizeIconUrl=_ce;
}
},get_iconUrl:function(){
return this._iconUrl;
},set_iconUrl:function(_cf){
if(this._iconUrl!=_cf){
this._iconUrl=_cf;
}
},get_clientCallBackFunction:function(){
return this._clientCallBackFunction;
},set_clientCallBackFunction:function(_d0){
if(this._clientCallBackFunction!=_d0){
this._clientCallBackFunction=_d0;
}
},get_navigateUrl:function(){
return this._navigateUrl;
},set_navigateUrl:function(_d1){
if(this._navigateUrl!=_d1){
this._navigateUrl=_d1;
}
},get_targetControl:function(){
return this._openerElement;
},set_targetControl:function(_d2){
if(this._openerElement!=_d2){
this._openerElement=_d2;
}
},get_name:function(){
return this._name;
},set_name:function(_d3){
if(this._name!=_d3){
this._name=_d3;
}
},get_formID:function(){
return this._formID;
},set_formID:function(_d4){
if(this._formID!=_d4){
this._formID=_d4;
}
},get_offsetElementID:function(){
return this._offsetElementID;
},set_offsetElementID:function(_d5){
if(this._offsetElementID!=_d5){
this._offsetElementID=_d5;
}
if(this.isVisible()){
this._deleteStoredBounds();
this._offsetSet=false;
this._show();
}
},get_openerElementID:function(){
return this._openerElementID;
},set_openerElementID:function(_d6){
if(this._openerElementID!=_d6){
if(this._openerElement){
this._registerOpenerElementHandler(this._openerElement,false);
this._openerElement=null;
}
this._openerElementID=_d6;
if(this._openerElementID){
this._openerElement=$get(this._openerElementID);
}
if(this._openerElement){
this._registerOpenerElementHandler(this._openerElement,true);
}
}
},get_left:function(){
return this._left;
},set_left:function(_d7){
if(this._left!=_d7){
this._left=parseInt(_d7);
}
},get_top:function(){
return this._top;
},set_top:function(_d8){
if(this._top!=_d8){
this._top=parseInt(_d8);
}
},get_title:function(){
return this._title;
},set_title:function(_d9){
if(this._title!=_d9){
this._title=_d9;
}
if(null==this._titleElement){
return;
}
this._titleElement.innerHTML=this._title;
this._updateTitleWidth();
},get_width:function(){
return parseInt(this._width);
},_fixSizeValue:function(_da){
_da=""+_da;
if(-1==_da.indexOf("px")){
_da=parseInt(_da);
if(!isNaN(_da)){
_da=_da+"px";
}else{
_da="";
}
}
return _da;
},set_width:function(_db){
if(null==_db){
return;
}
_db=this._fixSizeValue(_db);
if(this._width!=_db){
this._width=_db;
}
if(this._popupElement){
this._deleteStoredBounds();
this._popupElement.style.width=this._width;
this._updatePopupZindex();
}
},get_height:function(){
return parseInt(this._height);
},set_height:function(_dc){
if(null==_dc){
return;
}
_dc=this._fixSizeValue(_dc);
if(this._height!=_dc){
this._height=_dc;
}
if(this._popupElement){
this._deleteStoredBounds();
this._updateWindowSize(this._height);
this._updatePopupZindex();
}
},_updateWindowSize:function(_dd,_de){
var _df=this._tableElement;
var _e0=_dd?_dd:_df.style.height;
if(true==_de){
_e0=_df.offsetHeight+"px";
}
if(parseInt(_e0)==0){
return;
}
_df.style.height=_e0;
this._fixIeHeight(_df,_e0);
_df.parentNode.style.height=_e0;
},get_initialBehaviors:function(){
return this._initialBehaviors;
},set_initialBehaviors:function(_e1){
if(this._initialBehaviors!=_e1){
this._initialBehaviors=_e1;
}
},get_behaviors:function(){
return this._behaviors;
},set_behaviors:function(_e2){
if(this._behaviors!=_e2){
this._behaviors=_e2;
}
if(null==this._titlebarElement){
return;
}
this._enableMoveResize(false);
this._enableMoveResize(true);
if(this._buttonsArray&&this._buttonsArray.length>0){
var len=this._buttonsArray.length;
for(var i=0;i<len;i++){
var _e5=this._buttonsArray[i];
$clearHandlers(_e5);
}
this._buttonsArray=[];
var _e6=this._getTitleCommandButtonsHolder();
_e6.innerHTML="";
}
if(Telerik.Web.UI.WindowBehaviors.None==this._behaviors){
return;
}else{
var loc=this._getLocalization();
var _e8=Telerik.Web.UI.WindowBehaviors;
var _e9=[[this.isBehaviorEnabled(_e8.Pin),"pinbutton",loc["PinOn"],this.togglePin],[this.isBehaviorEnabled(_e8.Reload),"reloadbutton",loc["Reload"],this.reload],[this.isBehaviorEnabled(_e8.Minimize),"minimizebutton",loc["Minimize"],this.minimize],[this.isBehaviorEnabled(_e8.Maximize),"maximizebutton",loc["Maximize"],this.maximize],[this.isBehaviorEnabled(_e8.Close),"closebutton",loc["Close"],this.close]];
for(var i=0;i<_e9.length;i++){
var _ea=_e9[i];
if(!_ea[0]){
continue;
}
var li=document.createElement("LI");
var _ec=document.createElement("A");
_ec.href="javascript:void(0);";
_ec.className=_ea[1];
_ec.setAttribute("title",_ea[2]);
var _ed=document.createElement("SPAN");
_ed.innerHTML=_ea[2];
_ec.appendChild(_ed);
$addHandlers(_ec,{"click":_ea[3],"dblclick":this._cancelEvent,"mousedown":this._cancelEvent},this);
$addHandler(_ec,"click",this._cancelEvent);
li.appendChild(_ec);
this._buttonsElement.appendChild(li);
this._buttonsArray[this._buttonsArray.length]=_ec;
}
}
},get_modal:function(){
return this._modal;
},set_modal:function(_ee){
if(this._modal!=_ee){
this._modal=_ee;
}
this._makeModal(this._modal);
if(this.isVisible()){
this._afterShow();
}
},get_destroyOnClose:function(){
return this._destroyOnClose;
},set_destroyOnClose:function(_ef){
if(this._destroyOnClose!=_ef){
this._destroyOnClose=_ef;
}
},get_reloadOnShow:function(){
return this._reloadOnShow;
},set_reloadOnShow:function(_f0){
if(this._reloadOnShow!=_f0){
this._reloadOnShow=_f0;
}
},get_showContentDuringLoad:function(){
return this._showContentDuringLoad;
},set_showContentDuringLoad:function(_f1){
if(this._showContentDuringLoad!=_f1){
this._showContentDuringLoad=_f1;
}
},get_visibleOnPageLoad:function(){
return this._visibleOnPageLoad;
},set_visibleOnPageLoad:function(_f2){
if(this._visibleOnPageLoad!=_f2){
this._visibleOnPageLoad=_f2;
}
},get_visibleTitlebar:function(){
return this._visibleTitlebar;
},set_visibleTitlebar:function(_f3){
if(this._visibleTitlebar!=_f3){
this._visibleTitlebar=_f3;
}
if(this._titlebarElement){
this._titlebarElement.style.display=_f3?"":"none";
}
},get_visibleStatusbar:function(){
return this._visibleStatusbar;
},set_visibleStatusbar:function(_f4){
if(this._visibleStatusbar!=_f4){
this._visibleStatusbar=_f4;
}
if(this._statusCell){
this._statusCell.parentNode.style.display=_f4?"":"none";
}
},get_animation:function(){
return this._animation;
},set_animation:function(_f5){
if(this._animation!=_f5){
this._animation=_f5;
}
},get_overlay:function(){
return this._overlay;
},set_overlay:function(_f6){
this._overlay=_f6;
if(this._popupBehavior){
this._popupBehavior.set_overlay(this._overlay);
}
if(this.isVisible()){
this._reSetWindowPosition();
}
},get_keepInScreenBounds:function(){
return this._keepInScreenBounds;
},set_keepInScreenBounds:function(_f7){
this._keepInScreenBounds=_f7;
if(this._popupBehavior){
this._popupBehavior.set_keepInScreenBounds(this._keepInScreenBounds);
}
if(this.isVisible()){
this._reSetWindowPosition();
}
},get_skin:function(){
return this._skin;
},set_skin:function(_f8){
if(_f8&&this._skin!=_f8){
this._skin=_f8;
}
},get_popupElement:function(){
return this._popupElement;
},get_windowManager:function(){
return this._windowManager;
},set_windowManager:function(_f9){
this._windowManager=_f9;
},set_status:function(_fa){
var _fb=this._getStatusMessageElement();
if(_fb){
window.setTimeout(function(){
_fb.value=_fa;
},0);
}
},get_status:function(){
var _fc=this._getStatusMessageElement();
if(_fc){
return _fc.value;
}
},add_command:function(_fd){
this.get_events().addHandler("command",_fd);
},remove_command:function(_fe){
this.get_events().removeHandler("command",_fe);
},raise_command:function(_ff){
this.raiseEvent("command",_ff);
},add_dragStart:function(_100){
this.get_events().addHandler("dragStart",_100);
},remove_dragStart:function(_101){
this.get_events().removeHandler("dragStart",_101);
},add_dragEnd:function(_102){
this.get_events().addHandler("dragEnd",_102);
},remove_dragEnd:function(_103){
this.get_events().removeHandler("dragEnd",_103);
},add_activate:function(_104){
this.get_events().addHandler("activate",_104);
},remove_activate:function(_105){
this.get_events().removeHandler("activate",_105);
},add_beforeShow:function(_106){
this.get_events().addHandler("beforeShow",_106);
},remove_beforeShow:function(_107){
this.get_events().removeHandler("beforeShow",_107);
},add_show:function(_108){
this.get_events().addHandler("show",_108);
},remove_show:function(_109){
this.get_events().removeHandler("show",_109);
},add_pageLoad:function(_10a){
this.get_events().addHandler("pageLoad",_10a);
},remove_pageLoad:function(_10b){
this.get_events().removeHandler("pageLoad",_10b);
},add_close:function(_10c){
this.get_events().addHandler("close",_10c);
},remove_close:function(_10d){
this.get_events().removeHandler("close",_10d);
},add_resize:function(_10e){
this.get_events().addHandler("resize",_10e);
},remove_resize:function(_10f){
this.get_events().removeHandler("resize",_10f);
},saveClientState:function(){
var _110=["position"];
var _111={};
for(var i=0;i<_110.length;i++){
_111[_110[i]]=this["get_"+_110[i]]();
}
return Sys.Serialization.JavaScriptSerializer.serialize(_111);
}};
Telerik.Web.UI.RadWindow.registerClass("Telerik.Web.UI.RadWindow",Telerik.Web.UI.RadWebControl);
Telerik.Web.UI.WindowAnimation=function(){
throw Error.invalidOperation();
};
Telerik.Web.UI.WindowAnimation.prototype={None:0,Resize:1,Fade:2,Slide:4,FlyIn:8};
Telerik.Web.UI.WindowAnimation.registerEnum("Telerik.Web.UI.WindowAnimation",false);
Telerik.Web.UI.WindowMinimizeMode=function(){
throw Error.invalidOperation();
};
Telerik.Web.UI.WindowMinimizeMode.prototype={SameLocation:1,MinimizeZone:2,Default:1};
Telerik.Web.UI.WindowMinimizeMode.registerEnum("Telerik.Web.UI.WindowMinimizeMode",false);
Telerik.Web.UI.WindowBehaviors=function(){
throw Error.invalidOperation();
};
Telerik.Web.UI.WindowBehaviors.prototype={None:0,Resize:1,Minimize:2,Close:4,Pin:8,Maximize:16,Move:32,Reload:64,Default:(1+2+4+8+16+32+64)};
Telerik.Web.UI.WindowBehaviors.registerEnum("Telerik.Web.UI.WindowBehaviors",false);
Telerik.Web.UI.RadWindowUtils._zIndex=3000;
Telerik.Web.UI.RadWindowUtils.get_newZindex=function(_113){
_113=parseInt(_113);
if(null==_113||isNaN(_113)){
_113=0;
}
if(Telerik.Web.UI.RadWindowUtils._zIndex<_113){
Telerik.Web.UI.RadWindowUtils._zIndex=_113;
}
Telerik.Web.UI.RadWindowUtils._zIndex++;
return Telerik.Web.UI.RadWindowUtils._zIndex;
};
Telerik.Web.UI.RadWindowUtils._pinnedList={};
Telerik.Web.UI.RadWindowUtils.setPinned=function(_114,oWnd){
if(_114){
var _116=oWnd._getViewportBounds();
var _117=oWnd._getCurrentBounds();
oWnd.LeftOffset=_117.x-_116.scrollLeft;
oWnd.TopOffset=_117.y-_116.scrollTop;
var _118=window.setInterval(function(){
Telerik.Web.UI.RadWindowUtils._updatePinnedElementPosition(oWnd);
},100);
Telerik.Web.UI.RadWindowUtils._pinnedList[_118]=oWnd;
}else{
var _119=null;
var _11a=Telerik.Web.UI.RadWindowUtils._pinnedList;
for(var name in _11a){
if(_11a[name]==oWnd){
_119=name;
break;
}
}
if(null!=_119){
window.clearInterval(_119);
Telerik.Web.UI.RadWindowUtils._pinnedList[_119]=null;
}
oWnd.TopOffset=null;
oWnd.LeftOffset=null;
}
};
Telerik.Web.UI.RadWindowUtils._updatePinnedElementPosition=function(oWnd){
if(oWnd.isMaximized()||!oWnd.isVisible()){
return;
}
var _11d=oWnd._getViewportBounds();
var _11e=oWnd._getCurrentBounds();
var left=(oWnd.LeftOffset!=null)?oWnd.LeftOffset+_11d.scrollLeft:_11e.x;
var top=(oWnd.TopOffset!=null)?oWnd.TopOffset+_11d.scrollTop:_11e.y;
oWnd.moveTo(left,top);
};

